## view.xhtml
Class Span

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Span

    public class Span

extends ContainerElement

Constructor Summary
`Span()` Constructs the element.
`Span(HtmlObject html)` Constructs the element and immediately adds an object to it.
`Span(java.lang.String text)` As above but accepts a String, which is automatically converted to a HtmlText object.

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Span

    public Span()

  Constructs the element.

### Span

    public Span(HtmlObject html)

  Constructs the element and immediately adds an object to it.

  Parameters:
    `html` - the object to add.

### Span

    public Span(java.lang.String text)

  As above but accepts a String, which is automatically converted to a HtmlText object.